package javakurssi3;

public class Fantapullo implements Pullo {
  private boolean taysi = true; // yksisuuntainen lippu, ei ny ulospin
  
  /** Palauttaa pullon sisltmn juoman nimen.
    * 
    * @return pullon sisltmn juoman nimen.
    */
  public String getNimi() {
    return "Fanta";
  }
  
  /** Palauttaa pullon koon litroina.
    * 
    * @return pullon koon litroina.
    */
  public double getKoko() {
    return 0.5;
  }
  
  /** Palauttaa sislln mrn litroina.
    * 
    * @return sislln mrn litroina.
    */
  public double getSisallonMaara() {
    return taysi ? 0.5 : 0;
  }
  
  /** Palauttaa juoman vrin isolla alkavana
    * suomen kielen sanana.
    * 
    * @return juoman vrin.
    */
  public String getJuomanVari() {
    return "Keltainen";
  }
  
  /** Tyhjent pullon.
    */
  public void juo() {
    taysi = false;
  }
  
  public String toString() {
    return String.format("Pullo, koko %s litraa, sislt %s litraa, juoman vri %s",
                         getKoko(),
                         getSisallonMaara(),
                         getJuomanVari());
  }
}